%global momorel   4
%global emacsver  21.3
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global sitepdir  %{_libdir}/xemacs/site-packages/lisp
%global confsamp  %{_datadir}/config-sample

Summary: Major mode for editing PHP code.
Name: elisp-php-mode
Version: 1.0.5
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://sourceforge.net/projects/php-mode/

Source0: http://keihanna.dl.sourceforge.net/sourceforge/php-mode/php-mode.el
Source1: c-comment-edit.el
Source2: php-mode.dot.emacs
Source3: README.eucjp
Patch0: php-mode-1.0.5-complete-function.patch
Requires: emacsen
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo

%description
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%package -n php-mode-emacs
Summary: Major mode for editing PHP code on emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n php-mode-emacs
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%package -n php-mode-xemacs
Summary: Major mode for editing PHP code on XEmacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo

%description -n php-mode-xemacs
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%prep
%setup -q -cT
%{__cp} -p %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%patch0 -p0 -b .original

%build
emacs -batch -q -no-site-file -f batch-byte-compile c-comment-edit.el
%{__mv} c-comment-edit.elc c-comment-edit.elc.emacs
emacs -batch -q -no-site-file -eval "(add-to-list 'load-path \".\")" \
    -f batch-byte-compile php-mode.el
%{__mv} php-mode.elc php-mode.elc.emacs

xemacs -batch -q -no-site-file -f batch-byte-compile php-mode.el
%{__mv} php-mode.elc php-mode.elc.xemacs

%install
test -d %{buildroot} && rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{e_sitedir}/php
%{__install} -m 0644 *.el %{buildroot}%{e_sitedir}/php
for i in *.emacs;
    do install -m 0644 $i %{buildroot}%{e_sitedir}/php/`basename $i .emacs`
done

%{__mkdir_p} %{buildroot}%{sitepdir}/php
%{__install} -m 0644 *.el %{buildroot}%{sitepdir}/php
%{__install} -m 0644 php-mode.elc.xemacs %{buildroot}%{sitepdir}/php/php-mode.elc

%{__mkdir_p} %{buildroot}%{confsamp}/%{name}
%{__install} -m 0644 php-mode.dot.emacs %{buildroot}%{confsamp}/%{name}/php-mode.dot.emacs

# remove
rm -f %{buildroot}%{e_sitedir}/php/php-mode.dot

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.eucjp php-mode.el.original
%{confsamp}/%{name}/php-mode.dot.emacs

%files -n php-mode-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/php
%{e_sitedir}/php/php-mode.el*
%{e_sitedir}/php/c-comment-edit.el*

%files -n php-mode-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/php
%{sitepdir}/php/php-mode.el*
%{sitepdir}/php/c-comment-edit.el*

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.5-4m)
- revised spec for enabling rpm 4.2.

* Sat Dec 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-3m)
- modify patch.

* Tue Nov 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-2m)
- modify patch.

* Wed Nov 19 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-1m)
- update to upstream version.
- remake patch.

* Mon Mar 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-3m)
- fix patch (key bind)

* Fri Mar 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-2m)
- rebuild against emacs-21.3
- define emacsver, xemacsver

* Wed Mar 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-1m)
- first import to Momonga.
- cleate patch.
  php-complete-function implemented. (from css-mode.el)
  modify variable definition for font-lock
    and  php-complete-function.
